Get a site

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.praxedo.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "public-rest-apis MCP server": {
    "url": "https://developers.praxedo.com/mcp"
  }
}

Close
GET /eTech/rest/ws/referentials/v1/sites/code:{siteCode}

Return the site object if the siteCode exists.

Rate limite range : High

Path parameters

  • siteCode string Required

    Requested site code, case insensitive.

Responses

  • 200 application/json

    Site found successfully.

    Hide response attributes Show response attributes object
    • siteCode string Required

      Site code. Case insensitive.

      Minimum length is 1, maximum length is 10000.

    • name string Required

      Site name.

      Minimum length is 1, maximum length is 10000.

    • customerCode string Required

      Related customer code. Case insensitive.

      Minimum length is 1, maximum length is 10000.

    • parentSiteCode string | null

      Parent site code if any. Case insensitive.

      Maximum length is 10000.

    • officeCode string Required

      Site office code. Case insensitive.

      Minimum length is 1, maximum length is 10000.

    • contact object | null

      Site contacts.

      Hide contact attributes Show contact attributes object | null
      • name string

        Customer contact name.

        Maximum length is 10000.

      • details array[object]

        Array of contact details.

        At least 0 but not more than 15 elements.

        Hide details attributes Show details attributes object

        Contact detail of the customer.

        • type string

          Contact detail type.

          Values are Mobile, Fax, Email, or Phone. Default value is Phone.

        • description string | null

          Description of the contact detail.

          Maximum length is 200.

        • value string Required

          Value of the contact.

          Maximum length is 100.

    • location object Required

      Location details of the site.

      Hide location attributes Show location attributes object
      • geolocation object | null
        Hide geolocation attributes Show geolocation attributes object | null
        • latitude number(double)

          Latitude of the site's coordinates. If the latitude property is set, the longitude property needs to be also set. After 16 decimal places, the accuracy of the latitude will be truncated.

        • longitude number(double)

          Longitude of the site's coordinates. If the longitude property is set, the latitude property needs to be also set. After 16 decimal places, the accuracy of the longitude will be truncated.

      • addressDetails object Required

        Site address details.

        Hide addressDetails attributes Show addressDetails attributes object
        • address string Required

          Maximum length is 10000.

        • zipCode string | null

          Maximum length is 20.

        • city string Required

          Minimum length is 1, maximum length is 256.

        • country string | null

          If filled in, it should be a valid ISO 3166-1 Alpha-2 country code

          Minimum length is 2, maximum length is 2. Format should match the following pattern: ^[A-Z]{2}$.

    • description string | null

      Site description if any.

      Maximum length is 8192.

    • customFields object

      Map of custom fields of a site.

    • lastUpdate string(date-time) Required

      Last update, UTC date-time notation as defined by RFC 3339, section 5.6. Only returned by the GET API.

  • 400 application/json

    Bad Request - validation errors.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 401 application/json

    Unauthorized - authentication issue.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 403 application/json

    Forbidden - not enough rights.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 404 application/json

    Customer or Site not found.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 429 application/json

    Too Many Requests.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 500 application/json

    Internal server error.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

GET /eTech/rest/ws/referentials/v1/sites/code:{siteCode}
curl \
 --request GET 'https://ws-eu1.praxedo.com/eTech/rest/ws/referentials/v1/sites/code:site-123456' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "siteCode": "site-123456",
  "name": "Site Chatelet",
  "customerCode": "customer-b0ee57c9",
  "parentSiteCode": null,
  "officeCode": "PARIS",
  "description": null,
  "location": {
    "addressDetails": {
      "address": "23 Rue des Lombards",
      "zipCode": null,
      "city": "Paris",
      "country": null
    },
    "geolocation": null
  },
  "contact": null,
  "lastUpdate": "2024-09-12 13:00:27 UTC"
}
{
  "siteCode": "site-123456",
  "name": "Site Chatelet",
  "customerCode": "customer-b0ee57c9",
  "parentSiteCode": null,
  "officeCode": "PARIS",
  "description": "Super site description",
  "location": {
    "addressDetails": {
      "address": "23 Rue des Lombards",
      "zipCode": "75004",
      "city": "Paris",
      "country": "FR"
    },
    "geolocation": {
      "latitude": 48.875567,
      "longitude": 2.331379
    }
  },
  "contact": {
    "name": "Jean Du Jardin",
    "details": [
      {
        "type": "Mobile",
        "description": "Personal mobile number",
        "value": "+7234567890"
      },
      {
        "type": "Email",
        "description": "Work email",
        "value": "john.doe@company.com"
      }
    ]
  },
  "customFields": {
    "textCustomFieldCode": {
      "textValue": "Code of gate 1234#"
    },
    "checkBoxCustomFieldCode": {
      "booleanValue": true
    },
    "dateCustomFieldCode": {
      "dateValue": "2024-11-13"
    },
    "timeCustomFieldCode": {
      "timeValue": 44100
    },
    "dropDownCustomFieldCode": {
      "dropDownValue": "VIP"
    }
  },
  "lastUpdate": "2024-09-12 13:00:27 UTC"
}
{
  "siteCode": "site-123456",
  "name": "Site Chatelet",
  "customerCode": "customer-b0ee57c9",
  "parentSiteCode": "site-1",
  "officeCode": "PARIS",
  "description": null,
  "location": {
    "addressDetails": {
      "address": "23 Rue des Lombards",
      "zipCode": null,
      "city": "Paris",
      "country": null
    },
    "geolocation": null
  },
  "contact": null,
  "lastUpdate": "2024-09-12 13:00:27 UTC"
}
{
  "siteCode": "site-123456",
  "name": "Site Chatelet",
  "customerCode": "customer-b0ee57c9",
  "parentSiteCode": "site-1",
  "officeCode": "PARIS",
  "description": "A super sub site",
  "location": {
    "addressDetails": {
      "address": "23 Rue des Lombards",
      "zipCode": "75004",
      "city": "Paris",
      "country": "FR"
    },
    "geolocation": {
      "latitude": 48.875567,
      "longitude": 2.331379
    }
  },
  "contact": {
    "name": "Jean Du Jardin",
    "details": [
      {
        "type": "Mobile",
        "description": "Personal mobile number",
        "value": "+1234567890"
      },
      {
        "type": "Email",
        "description": "Work email",
        "value": "john.doe@company.com"
      }
    ]
  },
  "customFields": {
    "timeCustomFieldCode": {
      "timeValue": 44100
    },
    "dropDownCustomFieldCode": {
      "dropDownValue": "Code of gate 1234#"
    },
    "gpsCustomFieldCode": {
      "gpsValue": {
        "longitude": 48.8567,
        "latitude": 2.3508
      }
    },
    "urlCustomFieldCode": {
      "urlValue": "https://www.praxedo.fr/"
    },
    "dateTimeCustomFieldCode": {
      "dateTimeValue": "2024-11-13T12:15"
    }
  },
  "lastUpdate": "2024-09-12 13:00:27 UTC"
}
{
  "siteCode": "site-123456",
  "name": "Site Chatelet",
  "customerCode": "customer-b0ee57c9",
  "officeCode": "office-123456",
  "location": {
    "addressDetails": {
      "address": "23 Rue des Lombards",
      "city": "Paris"
    }
  },
  "customFields": {
    "checkBoxCustomFieldCode": {
      "booleanValue": true
    },
    "timeCustomFieldCode": {
      "timeValue": 44100
    },
    "gpsCustomFieldCode": {
      "gpsValue": {
        "longitude": 48.8567,
        "latitude": 2.3508
      }
    },
    "urlCustomFieldCode": {
      "urlValue": "https://www.praxedo.fr/"
    },
    "dateTimeCustomFieldCode": {
      "dateTimeValue": "2024-11-13T12:15"
    }
  },
  "lastUpdate": "2024-09-12 13:00:27 UTC"
}
Response examples (400)
{
  "errors": [
    {
      "code": "referentials.site.code.mandatory",
      "message": "Missing code in path."
    }
  ],
  "errorReference": "779b11d0ae8145aa9b106b049091b972"
}
Response examples (401)
{
  "errors": [
    {
      "code": "unauthorized.nocredentials",
      "message": "No credentials."
    }
  ],
  "errorReference": "f939c6b8c15045c9a70f500fdb570555"
}
{
  "errors": [
    {
      "code": "unauthorized.badcredentials",
      "message": "Bad Credentials."
    }
  ],
  "errorReference": "f1028f99811b422eb21f5ff176664069"
}
Response examples (403)
{
  "errors": [
    {
      "code": "access.forbiden",
      "message": "You don't have the rights to access this resource."
    }
  ],
  "errorReference": "a745dc4c5a2b473aaf8ce94c9260aa8f"
}
Response examples (404)
{
  "errors": [
    {
      "code": "referentials.site.not.found",
      "message": "Site not found."
    }
  ],
  "errorReference": "7gf95ca524154a35bcc21e0d482bd567hg"
}
{
  "errors": [
    {
      "code": "referentials.customer.not.found",
      "message": "Customer not found."
    }
  ],
  "errorReference": "8ef95ca524154a35bcc21e0d482bd0fg8"
}
Response examples (429)
{
  "errors": [
    {
      "code": "ratelimiter.toomanyrequest",
      "message": "Rejected because of the rate limit definition."
    }
  ],
  "errorReference": "973326230a3f44daba6cc34a5939b4fb"
}
Response examples (500)
{
  "errors": [
    {
      "code": "internal.server.error",
      "message": "Something went wrong."
    }
  ],
  "errorReference": "6377010431314bf6b0b95ec4d32ddae0"
}